Subject: [MIB-DOCTORS] Update to draft-ietf-bess-l2l3-vpn-mcast-mib-10

From: Hiroshi Tsunoda <[email-masked]>
Date: Sun, 27 Aug 2017 20:27:52 +0200

Dear Glenn,

Thank you for your comments and for waiting for the update.
I posted a new revision (-10) as follows.

URL:
       https://www.ietf.org/internet-drafts/draft-ietf-bess-l2l3-vpn-mcast-mib-10.txt
Htmlized:
       https://tools.ietf.org/html/draft-ietf-bess-l2l3-vpn-mcast-mib-10
Htmlized:
       https://datatracker.ietf.org/doc/html/draft-ietf-bess-l2l3-vpn-mcast-mib-10
Diff:
       https://www.ietf.org/rfcdiff?url2=draft-ietf-bess-l2l3-vpn-mcast-mib-10

In the new revision, the following changes are made.
 - Updated the description of following TC and objects
   in order to clarify the role of this MIB and to improve
   the readability
    -- L2L3VpnMcastProviderTunnelId
    -- l2L3VpnMcastPmsiTunnelAttributeTable
 - Removed some redundant expressions
 - Updated compliance statements

Please see the responses for your comments
in the followings.

2017-07-09 14:11 GMT+02:00 Glenn Mansfield Keeni <[email-masked]>:
>   L2L3-VPN-MCAST-TC-MIB:112: [5] {type-without-format} warning: type
>   `L2L3VpnMcastProviderTunnelId' has no format specification
> This may be avoided by specifying a format in which the
> L2L3VpnMcastProviderTunnelId should be printed.
> Is there a preferred format? How will this be printed?
> One continuous octet string?

The size and format of TunnelID depends on Tunnel Type.
and no preferred format is exist as of now.
Therefore, I have decided to not give format specification
to L2L3VpnMcastProviderTunnelId.

> A. The l2L3VpnMcastPmsiTunnelAttributeTable needs all of the following
>    four MOs as index for its rows
>              l2L3VpnMcastPmsiTunnelAttributeFlags,
>              l2L3VpnMcastPmsiTunnelAttributeType,
>              l2L3VpnMcastPmsiTunnelAttributeLabel,
>              l2L3VpnMcastPmsiTunnelAttributeId
>    The l2L3VpnMcastPmsiTunnelAttributeId by itself is inadequate? If yes
>    please explain it to me. Or point to the text that contains the
>    explanation.
> I have been unable to confirm the above from the draft - that is very
> likely due to my lack of understanding of the l2L3VpnMcast technology.

According to Sec. 7.4.1.1 of RFC6513,
P-tunnel is identified by its type and id.
Thus, in the latest revision, the following two objects are used as
index of the table.
       l2L3VpnMcastPmsiTunnelAttributeType,
       l2L3VpnMcastPmsiTunnelAttributeId

Thanks in advance,

-- tsuno